{
  "schema_version": "1.4.0",
  "id": "GHSA-rgqg-p92w-cgqj",
  "modified": "2022-05-01T17:58:04Z",
  "published": "2022-05-01T17:58:04Z",
  "aliases": [
    "CVE-2007-1889"
  ],
  "details": "Integer signedness error in the _zend_mm_alloc_int function in the Zend Memory Manager in PHP 5.2.0 allows remote attackers to execute arbitrary code via a large emalloc request, related to an incorrect signed long cast, as demonstrated via the HTTP SOAP client in PHP, and via a call to msg_receive with the largest positive integer value of maxsize.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1889"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33770"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25056"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25062"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1283"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_32_php.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php-security.org/MOPB/MOPB-43-2007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php-security.org/MOPB/MOPB-44-2007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23238"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-04-06T01:19:00Z"
  }
}